Bug 1782655

Summary: Package source is from wrong version
Product: [Fedora] Fedora Reporter: Armando Biagioni Neto <abiagion>
Component: python-astroidAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: dmoluguw, gwync, orion, philip.wyett
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-astroid-2.3.3-2.gitace7b29.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-05 00:40:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Armando Biagioni Neto 2019-12-12 03:06:48 UTC
Description of problem:
When installing package `python3-astroid` on Fedora 31 the version offered is `2.2.5-4.git28fc86f.fc31`; however it contains changes from version 2.3.0.

There is an error affecting astroid's versions >= 2.3.0 but not version 2.2.5, as reported here: https://github.com/PyCQA/pylint/issues/3245#issuecomment-564715559 and some CI systems are suffering that even when installing 2.2.5.

When installing the package or looking its source we can see:
```
cat astroid/__pkginfo__.py | grep 'version ='                                                                                                          
version = "2.3.0"
```

Version-Release number of selected component (if applicable):
python-astroid-2.2.5-4.git28fc86f.fc31


Actual results:
`python3-astroid 2.2.5` is actually installing some unreleased 2.3.0 version of astroid.

Expected results:
Fedora package must match pypi's package.

Comment 1 Gwyn Ciesla 2019-12-12 14:21:05 UTC
This was done to correct build issues with Python 3.8 under https://bugzilla.redhat.com/show_bug.cgi?id=1717653

The simplest solution is simply to update to 2.3.3, is that acceptable?

Comment 2 Armando Biagioni Neto 2019-12-12 15:38:32 UTC
I believe an update to 2.3.3 is reasonable given that Python 3.8 requires that.

However, having a "final" release of 2.2.5 would be beneficial while we wait for astroid's developers to fix the issue I mentioned.

This way we can force our CIs to use 2.2.5 for now and people not affect by that can use the latest 2.3.3 release.

Is that possible?

Comment 3 Gwyn Ciesla 2019-12-12 15:40:16 UTC
You could specify 2.2.5-2, that should be the canonical 2.2.5. So should I move to 2.3.3 on f31 or no?

Comment 4 Armando Biagioni Neto 2019-12-12 20:08:58 UTC
> You could specify 2.2.5-2, that should be the canonical 2.2.5. 
You mean installing 2.2.5-2 from outside the main repositories? That release is not available for fedora 31. This is why I suggested a "final" 2.2.5 release before updating it to 2.3.3.

> So should I move to 2.3.3 on f31 or no?
I think so, that would fix the version mismatch.

Comment 5 Gwyn Ciesla 2019-12-12 20:12:48 UTC
Ok, I'll get that out ASAP.

Comment 6 Armando Biagioni Neto 2019-12-12 22:45:55 UTC
Any opinion on having a final 2.2.5 to make that available on the main repos?

Comment 7 Gwyn Ciesla 2019-12-13 13:54:42 UTC
No, that's what 2.2.5-2 was.

Comment 8 Dinesh Prasanth 2019-12-17 21:16:48 UTC
Making some noise to check if there are any updates :-)

Currently, PKI's CI is indirectly blocked: https://github.com/dogtagpki/pki/pull/303

Comment 9 Gwyn Ciesla 2019-12-17 21:19:45 UTC
I built it and forgot to submit an update. Thank you!

Comment 10 Dinesh Prasanth 2019-12-17 21:23:18 UTC
Thanks for the update! :-)

Comment 11 Fedora Update System 2019-12-18 01:25:31 UTC
python-astroid-2.3.3-2.gitace7b29.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-46da95e0f7

Comment 12 Fedora Update System 2019-12-18 09:58:26 UTC
FEDORA-2019-46da95e0f7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-46da95e0f7

Comment 13 Fedora Update System 2020-01-05 00:40:13 UTC
python-astroid-2.3.3-2.gitace7b29.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.